Index: branches/presentation/src/world_entities/npcs/actionbox_enemy.cc
===================================================================
--- branches/presentation/src/world_entities/npcs/actionbox_enemy.cc	(revision 10738)
+++ branches/presentation/src/world_entities/npcs/actionbox_enemy.cc	(revision 10739)
@@ -115,8 +115,11 @@
   LoadParam(root, "agility", this, ActionboxEnemy, setAgility);
   LoadParam(root, "acceleration", this, ActionboxEnemy, setAcceleration);
+  LoadParam(root, "active", this, ActionboxEnemy, setActive);
 }
 
 void ActionboxEnemy::tick( float dt )
 {
+  // printf("ABEGROUP: %d\n", this->getOMListNumber());
+  
   if ( escaped )
   {
@@ -375,2 +378,3 @@
   toList( OM_DEAD );
 }
+
Index: branches/presentation/src/world_entities/npcs/actionbox_enemy.h
===================================================================
--- branches/presentation/src/world_entities/npcs/actionbox_enemy.h	(revision 10738)
+++ branches/presentation/src/world_entities/npcs/actionbox_enemy.h	(revision 10739)
@@ -36,4 +36,5 @@
     void setMaxSpeed( float f ){ this->maxSpeed = f; }
     void setAgility( float f ){ this->agility = f; }
+    void setActive( bool b ){ this->isActive = b; }
     
     Quaternion myDir;
Index: branches/presentation/src/world_entities/projectiles/hbolt.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/hbolt.cc	(revision 10738)
+++ branches/presentation/src/world_entities/projectiles/hbolt.cc	(revision 10739)
@@ -91,5 +91,5 @@
   this->halo->setVisibility(true);
   this->origList = this->getOMListNumber();
-  this->toList(OM_ENVIRON);
+  //this->toList(OM_ENVIRON);
   if (unlikely(HBolt::explosionParticles == NULL))
   {
Index: branches/presentation/src/world_entities/projectiles/plasma_pulse.cc
===================================================================
--- branches/presentation/src/world_entities/projectiles/plasma_pulse.cc	(revision 10738)
+++ branches/presentation/src/world_entities/projectiles/plasma_pulse.cc	(revision 10739)
@@ -49,5 +49,5 @@
   this->grid->setPulse();
   this->grid->setTexture( "textures/plasma.png");
-  this->grid->toList(OM_ENVIRON);
+  //this->grid->toList(OM_ENVIRON);
 /*
   this->blink = new Blink();
@@ -76,5 +76,5 @@
 {
   this->origList = this->getOMListNumber();
-  this->toList(OM_ENVIRON);
+  //this->toList(OM_ENVIRON);
   this->grid->setVisibility(true);
 //   this->blink->setVisibility(true);
Index: branches/presentation/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10738)
+++ branches/presentation/src/world_entities/space_ships/space_ship.cc	(revision 10739)
@@ -75,4 +75,6 @@
 #include "track/action_box.h"
 
+
+#include "weapons/aiming_system.h"
 
 ObjectListDefinition(SpaceShip);
@@ -141,4 +143,6 @@
   if (root != NULL)
     this->loadParams(root);
+  
+  printf("SSGROUP: %d\n", this->getOMListNumber());
 
 }
@@ -150,6 +154,5 @@
 void SpaceShip::init()
 {
-
-  srand(time(0));   //initialize Random Nomber Generator
+  toList( OM_GROUP_01 );
 
   //  this->setRelDir(Quaternion(M_PI, Vector(1,0,0)));
@@ -175,5 +178,5 @@
 
 
-  this->weaponMan.addWeaponToSlot(0, 0, "RFCannon");
+ /* this->weaponMan.addWeaponToSlot(0, 0, "RFCannon");
   this->weaponMan.addWeaponToSlot(0, 1, "RFCannon");
   this->weaponMan.addWeaponToSlot(0, 2, "RFCannon");
@@ -182,10 +185,10 @@
   this->weaponMan.addWeaponToSlot(1, 1, "RFCannon");
   this->weaponMan.addWeaponToSlot(1, 2, "RFCannon");
-  this->weaponMan.addWeaponToSlot(1, 3, "RFCannon");
-
-  this->weaponMan.addWeaponToSlot(0, 4, "NadionLaser");
+  this->weaponMan.addWeaponToSlot(1, 3, "RFCannon");*/
+
+/*  this->weaponMan.addWeaponToSlot(0, 4, "NadionLaser");
   this->weaponMan.addWeaponToSlot(0, 5, "NadionLaser");
   this->weaponMan.addWeaponToSlot(2, 4, "NadionLaser");
-  this->weaponMan.addWeaponToSlot(2, 5, "NadionLaser");
+  this->weaponMan.addWeaponToSlot(2, 5, "NadionLaser");*/
 
   this->weaponMan.addWeaponToSlot(0, 6, "Disruptor");
@@ -292,5 +295,5 @@
 
 
-  this->toList(OM_GROUP_00);
+  //this->toList(OM_GROUP_00);
 
 
@@ -380,5 +383,5 @@
 {
   this->secWeaponMan.showCrosshair();
-  this->toList( OM_GROUP_01 );
+  //this->toList( OM_GROUP_01 );
   State::getPlayer()->hud().setRadarCenterNode(this->travelNode);
   State::getPlayer()->hud().setOverlayActive(true);
@@ -388,5 +391,5 @@
 {
   this->secWeaponMan.hideCrosshair();
-  this->toList( OM_GROUP_00);
+  //this->toList( OM_GROUP_00);
   State::getPlayer()->hud().setOverlayActive(false);
   State::getCamera()->setEventHandling(true);
@@ -419,5 +422,5 @@
 void SpaceShip::draw () const
 {
- // if( this->entityTrack != NULL && this->isDrawTrack())
+ if( this->entityTrack != NULL /*&& this->isDrawTrack()*/)
     this->entityTrack->drawGraph();
 
@@ -452,4 +455,5 @@
 void SpaceShip::tick (float time)
 {
+ // printf("SSGROUP: %d\n", this->getOMListNumber());
 
   if( !this->bInit)
Index: branches/presentation/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- branches/presentation/src/world_entities/weapons/weapon_manager.cc	(revision 10738)
+++ branches/presentation/src/world_entities/weapons/weapon_manager.cc	(revision 10739)
@@ -267,4 +267,6 @@
   if ( weapon == NULL )
     return false;
+  
+  weapon->toList( this->parentEntity->getOMListNumber() );
 
   if (unlikely(configID >= WM_MAX_CONFIGS || slotID >= (int)this->slotCount))
